## org.hibernate.envers.configuration.metadata
Class AuditEntityNameRegister

    java.lang.Object
      org.hibernate.envers.configuration.metadata.AuditEntityNameRegister

    public class AuditEntityNameRegister

extends Object

A register of all audit entity names used so far.

Constructor Summary
`AuditEntityNameRegister()`

Method Summary
`String` `createUnique(String baseAuditEntityName)` Creates a unique (not yet registered) audit entity name by appending consecutive numbers to the base name.
`void` `register(String auditEntityName)` Register an audit entity name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditEntityNameRegister

    public AuditEntityNameRegister()

Method Detail

### register

    public void register(String auditEntityName)

  Register an audit entity name. If the name is already registered, an exception is thrown.

  Parameters:
    `auditEntityName` - Name of the audit entity.

### createUnique

    public String createUnique(String baseAuditEntityName)

  Creates a unique (not yet registered) audit entity name by appending consecutive numbers to the base name. If the base name is not yet used, it is returned unmodified.

  Parameters:
    `baseAuditEntityName` - The base entity name.
  Returns:
    A unique audit entity name

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.